#! Flux2D 12.2
#! Tue Jan 24 16:16:44 CET 2017 loadProject('E:/AS/Activate/AS_exemples/Induction_Motor/MAS_Commande_scalaire/inductionmachine.FLU')

saveProject()

deleteMesh()

result = PointCoordinates[48].computePosition()

result = PointCoordinates[48].computePosition()

lastInstance = InfiniteBoxDisc(DISCOID=['85*1.2',
                         '85*1.5'])

InfiniteBoxDisc['InfiniteBoxDisc'].complete2D(buildingOption='Faces',
           coordSys=CoordSys['GEOM_CORRECT_1'],
           linkMesh='LinkMesh')

lastInstance = RegionFace(name='stator_air',
           magneticTransient2D=MagneticTransient2DFaceVacuum(),
           color=Color['Turquoise'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXED_STATOR'])

Face[20].region=RegionFace['STATOR_AIR']


Face[20].region=None


startMacroTransaction()
RegionFace['INFINITE'].magneticTransient2D=MagneticTransient2DFaceVacuum()

RegionFace['INFINITE'].mechanicalSet=MechanicalSet['FIXED_STATOR']

endMacroTransaction()

result = PointCoordinates[93].computePointDistance(point=[Point[47]])

lastInstance = PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['STATMAIN'],
                 uvw=['rod/2+(2.5)/2',
                      '0'],
                 nature=Nature['STANDARD'],
                 mesh=MeshPoint['MSOD'])

result = PointCoordinates[93].computePointDistance(point=[Point[47]])

Point[104].uvw=['ROD/2+(0.25)/2',
                '0',
                '0']


LineSegment[105].deleteForce()
lastInstance = LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[93],
                      Point[104]],
            nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[104],
                      Point[47]],
            nature=Nature['STANDARD'])

lastInstance = TransfRotation3AnglesPivotCoord(name='rot_90',
                                coordSys=CoordSys['XY1'],
                                pivotCoord=['0',
                                            '0'],
                                rotationAngles=RotationAngles(angleZ='90'))

result = LineSegment[115].propagate(transformation=Transf['ROT_90'],
          repetitionNumber=1)

lastInstance = LineArcPivotCoord(color=Color['White'],
                  visibility=Visibility['VISIBLE'],
                  coordSys=CoordSys['XY1'],
                  pivotCoord=['0',
                              '0'],
                  defPoint=[Point[104],
                            Point[105]],
                  nature=Nature['STANDARD'])

buildFaces()

LineSegment[106].deleteForce()
lastInstance = LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[96],
                      Point[105]],
            nature=Nature['STANDARD'])

buildFaces()

lastInstance = RegionFace(name='shaft',
           magneticTransient2D=MagneticTransient2DFaceVacuum(),
           color=Color['Turquoise'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['MOVING_ROTOR'])

Face[21].region=RegionFace['SHAFT']


Face[18].region=RegionFace['STATOR_AIR']


Face[24].region=RegionFace['AIRGAP']


RegionFace['AIRGAP'].mechanicalSet=MechanicalSet['MOVING_ROTOR']


MechanicalSetCompressible['ROTATING_AIRGAP'].deleteForce()
saveProject()

saveProject()

lastInstance = VariationParameterMultiphysics(name='V_A',
                               referenceValue=1.0)

lastInstance = VariationParameterMultiphysics(name='V_B',
                               referenceValue=1.0)

lastInstance = VariationParameterMultiphysics(name='V_C',
                               referenceValue=1.0)

lastInstance = VariationParameterFormula(name='Current_phase_1',
                          formula='I(B1)')

lastInstance = VariationParameterFormula(name='CURRENT_PHASE_2',
                          formula='I(B2)')

lastInstance = VariationParameterFormula(name='CURRENT_PHASE_3',
                          formula='I(B3)')

lastInstance = VariationParameterFormula(name='Speed',
                          formula='AngSpeed(MOVING_ROTOR)')

lastInstance = VariationParameterFormula(name='Torque',
                          formula='TorqueElecMag(MOVING_ROTOR)')

lastInstance = VariationParameterFormula(name='I_bar_1',
                          formula='I(BAR_1_Q1)')

lastInstance = VariationParameterFormula(name='I_BAR_2',
                          formula='I(BAR_2_Q1)')

saveProject()

saveProject()

saveProject()

#! Wed Jan 25 09:51:37 CET 2017 loadProject('E:/AS/Activate/AS_exemples/Induction_Motor/MAS_Commande_scalaire/inductionmachine.FLU')

DeleteElectricCircuit(deleteStrandedConductor='NO')

importCircuit(filename='inductionmachine_log1.xcir',
              importValue=1,
              ImportFELink=1)


DeleteElectricCircuit(deleteStrandedConductor='NO')

importCircuit(filename='inductionmachine_log2.xcir',
              importValue=1,
              ImportFELink=1)


DeleteElectricCircuit(deleteStrandedConductor='NO')

importCircuit(filename='inductionmachine_log3.xcir',
              importValue=1,
              ImportFELink=1)


DeleteElectricCircuit(deleteStrandedConductor='NO')

importCircuit(filename='inductionmachine_log4.xcir',
              importValue=1,
              ImportFELink=1)


DeleteElectricCircuit(deleteStrandedConductor='NO')

importCircuit(filename='inductionmachine_log5.xcir',
              importValue=1,
              ImportFELink=1)


saveProject()

startMacroTransaction()
Resistor['RESISTOR_1'].resistance='0.5575'

Resistor['RESISTOR_1'].name='R1'

endMacroTransaction()

saveProject()

result = checkPhysic()

Line[106].mesh=MeshLine['INFINITE_BOX_MESH_GEN']


meshDomain()

Point[104,105].mesh=MeshPoint['MAIRGAP']


meshDomain()

saveProject()

result = checkPhysic()

RegionFace['SSC'].magneticTransient2D=MagneticTransient2DFaceCoilConductor(coilConductor=CoilConductor2DPositive(turnNumber='132',
                                                                                                                 seriesParallel=AllInSeries(),
                                                                                                                 electricComponent=CoilConductor['B3']))


saveProject()

saveProject()

#! Wed Jan 25 13:57:36 CET 2017 loadProject('E:/AS/Activate/AS_exemples/Induction_Motor/MAS_Commande_scalaire/inductionmachine.FLU')

DeleteElectricCircuit(deleteStrandedConductor='NO')

importCircuit(filename='inductionmachine_log1.xcir',
              importValue=1,
              ImportFELink=1)


saveProject()

VoltageSource['VAC'].rmsModulus='V_A'


VoltageSource['VBA'].rmsModulus='V_B'


saveProject()

saveProject()

saveProject()

#! Fri Aug 10 13:23:06 CEST 2018 loadProject('D:/ylefloch/Documents/tmpFlux/Induction_Motor_Scalar_Control/IM_ScalarControl_Activate_Case1/IM_ScalarControl_Activate/IM_ScalarControl_Activate_Case1/inductionmachine.FLU')

DeleteElectricCircuit(deleteStrandedConductor='NO')

importCircuit(filename='inductionmachine_log1.xcir',
              importValue=1,
              ImportFELink=1)


saveProject()

