#! Flux2D 12.3

##########################################################################
# Description:
# Put an example une QA (Flux-Activate)
# 
# 
# Expected status:  FINALIZE_OK
#
# Author: Florian Le Calvez
#
# 181026 : Initial version (FLC)
#
##########################################################################

import aqDsl

try:
    # Check the testCase directory
     aqDsl.checkTestCase()
     executeBatchSpy('mainEx.py')
     executeBatchSpy('executeActivate.py')
     executeBatchSpy('FFT.py')
except:
    # Manage error
    aqDsl.processErrorTestCase ()

finally:
    # Compare output files
    aqDsl.finalizeTestCase()

